#ifndef NodePrinter_hpp
#define NodePrinter_hpp

#include "TreeElements.hpp"

namespace apoc { namespace legacy {

class NodePrinter : public NodeVisitor
{
    public :
        NodePrinter(void) {}
        virtual ~NodePrinter(void) {}

        virtual bool preChildrenProcess(Node& aNode) ;
        virtual bool postChildrenProcess(Node& aNode) { return true ; }
    protected :
    private :
} ;
    
} } // apoc.legacy

#endif // NodePrinter_hpp
